#ifndef MOJEOKNOGL_H
#define MOJEOKNOGL_H

#include "OknoGL.h"
#include "Wektor.h"
#include "SolarSystem.h"

class CMojeOknoGL : public COknoGL
{
	private: 
		void RysujAktorow();		
	//zrodla swiatla
	private:
		double Symulacja();
//		void ZrodlaSwiatla();
		void RysujPojemnik_Szescian();
//		void MlecznaZarowka(float jasnosc);
//		void ZoltaIZielonaMleczneZarowki();
//		void Reflektor(float jasnoscRozblysk=1.0f,float jasnoscRozproszone=0.3f);
	
	private:
		unsigned int indeksTekstury[16];
		void PrzygotujTekstury();
	public:
		CMojeOknoGL();
		~CMojeOknoGL();
	private:		
		//ZPM
		ZbiorPunktowMaterialnych* zpm;
		bool przesunDoSrodkaMasy;
		void RysujOrbity(ZbiorPunktowMaterialnych* zpm, const double jednostkaDlugosci, const float gruboscLinii, bool koloruj) const;
		void RysujZPM(ZbiorPunktowMaterialnych* zpm,const double jednostkaDlugosci,bool koloruj) const;

		//timer animacji		
		LRESULT WndProc(HWND hWnd, UINT message, WPARAM wParam,LPARAM lParam);
		Algorytm algorytm;
		double krokCzasowy;
		int iloscKrokowWSerii;
		long poprzedniCzas;
		bool pauza;
		bool typRzutowania; //false=perspektywa,true=izometryczne
		bool symulacja_start;
		
} okno;

COknoGL* p_okno = &okno;

#endif